# std::iterator_traits< _Tp * > Struct Template Reference

List of all members.

## Detailed Description

### template<typename _Tp>
struct std::iterator_traits< _Tp * >

Definition at line 141 of file stl_iterator_base_types.h.

## Public Types

- typedef ptrdiff_t difference_type
- typedef random_access_iterator_tag iterator_category
- typedef _Tp * pointer
- typedef _Tp & reference
- typedef _Tp value_type

The documentation for this struct was generated from the following file:

- stl_iterator_base_types.h